Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetCollection Class Reference

`#include <vtkDataSetCollection.h>`

Inheritance diagram for vtkDataSetCollection:

[legend]
Collaboration diagram for vtkDataSetCollection:

[legend]
List of all members.

## Detailed Description

maintain an unordered list of dataset objects

Date:
  2002/12/26 18:24:21

Revision:
  1.18

vtkDataSetCollection is an object that creates and manipulates lists of datasets. See also vtkCollection and subclasses.

Created by:
  - Hoffman, Bill
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (56%)
  - Hoffman, Bill (28%)
  - Martin, Ken (8%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkDataSetCollection.h)`
  - .`cxx` (`/Common/vtkDataSetCollection.cxx)`

Definition at line 46 of file vtkDataSetCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | AddItem (vtkDataSet *ds)
vtkDataSet * | GetNextItem ()
vtkDataSet * | GetItem (int i)
## Static Public Methods
vtkDataSetCollection * | New ()
int | IsTypeOf (const char *type)
vtkDataSetCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataSetCollection ()
| ~vtkDataSetCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkDataSetCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 50 of file vtkDataSetCollection.h.

## Constructor & Destructor Documentation

vtkDataSetCollection::vtkDataSetCollection | ( |  | ) | `[inline, protected]`

| Definition at line 71 of file vtkDataSetCollection.h.

vtkDataSetCollection::~vtkDataSetCollection | ( |  | ) | `[inline, protected]`

| Definition at line 72 of file vtkDataSetCollection.h.

## Member Function Documentation

vtkDataSetCollection* vtkDataSetCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

virtual const char* vtkDataSetCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkDataSetCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkDataSetCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkDataSetCollection* vtkDataSetCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

void vtkDataSetCollection::AddItem | ( | vtkDataSet * | ds | ) | `[inline]`

| Add a dataset to the list. Definition at line 54 of file vtkDataSetCollection.h. References vtkCollection::AddItem().

vtkDataSet* vtkDataSetCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next dataset in the list. Definition at line 60 of file vtkDataSetCollection.h. References vtkCollection::GetNextItemAsObject().

vtkDataSet* vtkDataSetCollection::GetItem | ( | int | i | ) | `[inline]`

| Get the ith dataset in the list. Definition at line 66 of file vtkDataSetCollection.h. References vtkCollection::GetItemAsObject().

The documentation for this class was generated from the following file:

- Common/vtkDataSetCollection.h